Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.transformation
Class FormsTemplateTransformer

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  org.apache.cocoon.forms.transformation.EffectPipe
                      org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe
                          org.apache.cocoon.forms.transformation.FormsTemplateTransformer

All Implemented Interfaces:
  ContentHandler, LexicalHandler, Poolable, Recyclable, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.transformation.Transformer, XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

public class FormsTemplateTransformer
extends EffectWidgetReplacingPipe
implements org.apache.cocoon.transformation.Transformer

See description of `EffectWidgetReplacingPipe`.

Version:
  $Id: FormsTemplateTransformer.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary

Nested classes inherited from class org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe
`EffectWidgetReplacingPipe.AggregateWidgetHandler, EffectWidgetReplacingPipe.ChooseHandler, EffectWidgetReplacingPipe.ChoosePassThruHandler, EffectWidgetReplacingPipe.ClassHandler, EffectWidgetReplacingPipe.ContinuationIdHandler, EffectWidgetReplacingPipe.DocHandler, EffectWidgetReplacingPipe.FormHandler, EffectWidgetReplacingPipe.GroupHandler, EffectWidgetReplacingPipe.NestedHandler, EffectWidgetReplacingPipe.NewHandler, EffectWidgetReplacingPipe.RepeaterHandler, EffectWidgetReplacingPipe.RepeaterRowsHandler, EffectWidgetReplacingPipe.RepeaterSizeHandler, EffectWidgetReplacingPipe.RepeaterWidgetHandler, EffectWidgetReplacingPipe.RepeaterWidgetLabelHandler, EffectWidgetReplacingPipe.SkipHandler, EffectWidgetReplacingPipe.StructHandler, EffectWidgetReplacingPipe.StylingContentHandler, EffectWidgetReplacingPipe.UnionHandler, EffectWidgetReplacingPipe.UnionPassThruHandler, EffectWidgetReplacingPipe.ValidationErrorHandler, EffectWidgetReplacingPipe.WidgetHandler, EffectWidgetReplacingPipe.WidgetLabelHandler`

Nested classes inherited from class org.apache.cocoon.forms.transformation.EffectPipe
`EffectPipe.BufferHandler, EffectPipe.CopyHandler, EffectPipe.ErrorHandler, EffectPipe.Handler, EffectPipe.NullHandler`

Field Summary

Fields inherited from class org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe
`chooseWidgets, classes, contextWidget, contextWidgets, hasInstanceNamespace, hChoosePassThru, hForm, hNested, hSkip, hStyling, hUnionPassThru, pipeContext, templates, widget`

Fields inherited from class org.apache.cocoon.forms.transformation.EffectPipe
`buffer, hBuffer, hNull, locator`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface org.apache.cocoon.transformation.Transformer
`ROLE`

Constructor Summary
`FormsTemplateTransformer()`

Method Summary
`void` | `setup(org.apache.cocoon.environment.SourceResolver resolver, Map objectModel, String src, Parameters parameters)`

Methods inherited from class org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe
`endPrefixMapping, getAttributeValue, getContentHandler, getLexicalHandler, getRequiredAttributeValue, hasPrefixMapping, init, isVisible, recycle, setTypedWidget, setWidget, setWidget, startPrefixMapping`

Methods inherited from class org.apache.cocoon.forms.transformation.EffectPipe
`beginBuffer, characters, comment, endBuffer, endCDATA, endDocument, endDTD, endElement, endEntity, getLocation, ignorableWhitespace, init, popHandler, processingInstruction, pushHandler, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Constructor Detail

### FormsTemplateTransformer

    public FormsTemplateTransformer()

Method Detail

### setup

    public void setup(org.apache.cocoon.environment.SourceResolver resolver,
                      Map objectModel,
                      String src,
                      Parameters parameters)
               throws org.apache.cocoon.ProcessingException,
                      SAXException,
                      IOException

  Specified by:
    `setup` in interface `org.apache.cocoon.sitemap.SitemapModelComponent`
  Throws:
    `org.apache.cocoon.ProcessingException`
    `SAXException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.